POST v1/crypto-withdrawal-addresses
POST /v1/crypto-withdrawal-addresses
Create a withdrawal address for your account.
info
When you create addresses via the API, you cannot withdraw to them through the API. If you want to withdraw to them via the API, you must whitelist the addresses on HFT Portal.
Body Request:
| Name | Type | Description | Required |
|---|---|---|---|
| networkId | STRING | Network id of the address. | YES |
| address | STRING | Withdrawal address. | YES |
| label | STRING | Label for the address. | YES |
| createdBy | STRING | Who created the request. | YES |
| memoTag | STRING | Optional memo tag (must be alphanumeric if provided). | NO |
Response:
- 201
{
"id": "a88d440da01c4333a5ebcf7b7a2c91bd",
"accountId": "6df05f44559f41b787a7acc97d7ac00d",
"networkId": "e0ce232b7ced4cc288c35e81a73dc7f6",
"label": "My Wallet",
"address": "9wPHEDPGKdV2ssxHgH38mSuaK8uQkd6J6mqkLFiAWgZR",
"memoTag": "123ABC",
"withdrawalViaApi": false,
"requireConfirmation": true,
"createdAt": "2025-08-05T10:01:29.2375549Z",
"createdBy": "[email protected]",
"updatedAt": null,
"updatedBy": null
}